//---------------------------------------------------------------------------------
// FONTDLG
//
// Font dialog sample for EDM/2       25-09-95 Eric Slaats
//---------------------------------------------------------------------------------

#define  INCL_WIN

#include <os2.h>
#include <mem.h>

void main(void)
     {
     HAB       hab;
     HMQ       hmq;
     static    FONTDLG   FontDlg;                         // Dirty trick to set FontDlg to NULL
     CHAR      szCurrentFont[FACESIZE];                   // Buffer for curent fontface

     hab = WinInitialize(0);
     hmq = WinCreateMsgQueue(hab,0);

     FontDlg.cbSize         = sizeof(FONTDLG);		   // Set cbsize (Mandatory)
     FontDlg.pszFamilyname  = szCurrentFont;              // Buffer for fontname
     FontDlg.usFamilyBufLen = FACESIZE;                   // Size fontname buffer
     FontDlg.clrFore        = CLR_NEUTRAL;                // Foreground color for sample
     FontDlg.clrBack        = CLR_DEFAULT;                // Background color for sample

     FontDlg.pszTitle  = "Test dialog use to experiment"; // Dialog title
     WinFontDlg(HWND_DESKTOP, HWND_DESKTOP, &FontDlg);    // Start dialog

     if (FontDlg.lReturn == DID_OK)                       // User pressed OK ?
          WinMessageBox(HWND_DESKTOP, HWND_DESKTOP,       // Display choosen fontname
                        FontDlg.fAttrs.szFacename,
                        "OK pressed",
                        0, MB_OK);

     WinDestroyMsgQueue(hmq);
     WinTerminate(hab);
     }




